]> https://gitweb.dealii.org/ - dealii-svn.git/commitdiff
We had a lot of cruft in our files from an attempt to support IBM xlC 5.0. We never...
authorwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Tue, 14 Jan 2003 19:51:12 +0000 (19:51 +0000)
committerwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Tue, 14 Jan 2003 19:51:12 +0000 (19:51 +0000)
git-svn-id: https://svn.dealii.org/trunk@6917 0785d39b-7218-0410-832d-ea1e28bc413d

35 files changed:
deal.II/aclocal.m4
deal.II/base/include/base/config.h.in
deal.II/base/include/base/memory_consumption.h
deal.II/base/source/auto_derivative_function.cc
deal.II/base/source/data_out_base.cc
deal.II/base/source/function.cc
deal.II/base/source/function_derivative.cc
deal.II/base/source/function_lib.cc
deal.II/base/source/quadrature.cc
deal.II/base/source/tensor_function.cc
deal.II/configure
deal.II/configure.in
deal.II/deal.II/include/dofs/dof_accessor.templates.h
deal.II/deal.II/source/dofs/dof_handler.cc
deal.II/deal.II/source/dofs/dof_renumbering.cc
deal.II/deal.II/source/dofs/dof_tools.cc
deal.II/deal.II/source/fe/fe.cc
deal.II/deal.II/source/fe/fe_system.cc
deal.II/deal.II/source/fe/fe_tools.cc
deal.II/deal.II/source/fe/fe_values.cc
deal.II/deal.II/source/grid/grid_in.cc
deal.II/deal.II/source/grid/grid_refinement.cc
deal.II/deal.II/source/grid/grid_reordering.cc
deal.II/deal.II/source/grid/persistent_tria.cc
deal.II/deal.II/source/grid/tria.cc
deal.II/deal.II/source/multigrid/mg_dof_accessor.cc
deal.II/deal.II/source/numerics/data_out.cc
deal.II/deal.II/source/numerics/data_out_rotation.cc
deal.II/deal.II/source/numerics/data_out_stack.cc
deal.II/deal.II/source/numerics/error_estimator.cc
deal.II/deal.II/source/numerics/matrices.cc
deal.II/deal.II/source/numerics/solution_transfer.cc
deal.II/deal.II/source/numerics/vectors.cc
deal.II/lac/include/lac/block_vector.templates.h
deal.II/lac/include/lac/sparse_vanka.templates.h

index 113708c75026ff29223a3294b4c984c060cd0df5..e6eb3689ae989f8c08aec2d95e9385dfd54fc146 100644 (file)
@@ -1535,50 +1535,6 @@ AC_DEFUN(DEAL_II_HAVE_PRETTY_FUNCTION, dnl
 
 
 
-dnl -------------------------------------------------------------
-dnl IBM xlC 5.0 from the VisualAge C++ pack has a bug with the following 
-dnl code. We can work around it if we insert code like "using namespace std;"
-dnl in the right place, but we'd like to do so only if absolutely necessary.
-dnl Check whether the compiler which we are using has this bug.
-dnl
-dnl Usage: DEAL_II_CHECK_IBM_XLC_ERROR
-dnl
-dnl -------------------------------------------------------------
-AC_DEFUN(DEAL_II_CHECK_IBM_XLC_ERROR, dnl
-[
-  AC_MSG_CHECKING(for std::vector bug)
-  AC_LANG(C++)
-  CXXFLAGS="$CXXFLAGSG"
-  AC_TRY_COMPILE(
-    [
-      namespace std {
-        template <class _Ty>                             class allocator {};
-        template<class _Ty, class _Ax = allocator<_Ty> > class vector{};
-      }
-
-      struct X {};
-      template <int dim> void g (const std::vector<X> &x);
-
-      void f ()  {
-        std::vector<X> x;
-        g<1> (x);
-      };
-    ],
-    [],
-    [
-      AC_MSG_RESULT(no)
-    ],
-    [
-      AC_MSG_RESULT(yes. using workaround)
-      AC_DEFINE(XLC_WORK_AROUND_STD_BUG, 1, 
-                [Define if we have to work around a bug in IBM's xlC compiler.
-                 See the aclocal.m4 file in the top-level directory for a
-                 description of this bug.])
-    ])
-])
-
-
-
 dnl -------------------------------------------------------------
 dnl Sun's Forte compiler (at least up to the Version 7 Early Access
 dnl release) has a problem with the following code, when compiling
index e9bf8556f5b296dae5b42c188610a162b232df02..fffe90e4528993a102437893da912803e7a6f07b 100644 (file)
@@ -5,7 +5,7 @@
 //    $Id$
 //    Version: $Name$
 //
-//    Copyright (C) 2001, 2002, 2003 by the deal.II authors
+//    Copyright (C) 2001, 2002 by the deal.II authors
 //
 //    This file is subject to QPL and may not be  distributed
 //    without copyright and license information. Please refer
    applications. If so, then it is set to one, otherwise to zero. */
 #undef DEAL_II_USE_MT
 
-/* Defined if multi-threading is to be achieved by using the ACE library */
-#undef DEAL_II_USE_MT_ACE
-
 /* Defined if multi-threading is to be achieved by using the POSIX functions
    */
 #undef DEAL_II_USE_MT_POSIX
 /* Define to the version of this package. */
 #undef PACKAGE_VERSION
 
-/* Define if we have to work around a bug in IBM's xlC compiler. See the
-   aclocal.m4 file in the top-level directory for a description of this bug.
-   */
-#undef XLC_WORK_AROUND_STD_BUG
-
 /* If already available, do not define at all. Otherwise, define to __func__
    if that is available. In all other cases, indicate that no information
    about the present function is available for this compiler. */
index 017f5c583fd70f027159ab30a7d2c5b5e2ea1c74..026b7e8ec981946d431fdfc6a83df905e985d2ef 100644 (file)
@@ -2,7 +2,7 @@
 //    $Id$
 //    Version: $Name$
 //
-//    Copyright (C) 1998, 1999, 2000, 2001, 2002 by the deal authors
+//    Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003 by the deal authors
 //
 //    This file is subject to QPL and may not be  distributed
 //    without copyright and license information. Please refer
@@ -460,10 +460,6 @@ namespace MemoryConsumption
   }
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-  using namespace std;
-#endif
 
   template <typename T>
   unsigned int memory_consumption (const std::vector<T> &v)
index a143fc16ae676d95d60ee56a5079859938c8eb4c..af219f9f4009f8259851ae5179b322f3da3001e5 100644 (file)
@@ -2,7 +2,7 @@
 //    $Id$
 //    Version: $Name$
 //
-//    Copyright (C) 1998, 1999, 2000, 2001, 2002 by the deal authors
+//    Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003 by the deal authors
 //
 //    This file is subject to QPL and may not be  distributed
 //    without copyright and license information. Please refer
 #include <cmath>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 template <int dim>
 AutoDerivativeFunction<dim>::AutoDerivativeFunction (const double hh,
                                                     const unsigned int n_components,
index 6be20c531c911c0f89128c4d2b6886dd5df3414a..b6d07a6909aadcba41ac1547ebe656c9d28aebd7 100644 (file)
 #include <set>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
-
 template <int dim, int spacedim>
 const unsigned int DataOutBase::Patch<dim,spacedim>::no_neighbor;
 
index 712d014d08b544b29e02829d8626d22c7696791c..8d3308e383750a93e1af8ef999e5fca2dad0855c 100644 (file)
@@ -48,11 +48,6 @@ void Function<dim>::vector_value (const Point<dim> &,
 }
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
 template <int dim>
 void Function<dim>::value_list (const std::vector<Point<dim> > &points,
                                std::vector<double>                     &values,
index 81c2dae0168733d0b84f844175607913b5af9fc7..d7039233afc6a366097dd0dea54ff86079ec9c60 100644 (file)
@@ -2,7 +2,7 @@
 //    $Id$
 //    Version: $Name$
 //
-//    Copyright (C) 1998, 1999, 2000, 2001, 2002 by the deal authors
+//    Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003 by the deal authors
 //
 //    This file is subject to QPL and may not be  distributed
 //    without copyright and license information. Please refer
@@ -83,13 +83,6 @@ FunctionDerivative<dim>::value (const Point<dim>   &p,
 
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
-
 template <int dim>
 void
 FunctionDerivative<dim>::value_list (const std::vector<Point<dim> > &points,
index 8df7500e3406b133bb87c5d50c004e6f0c598350..e7e7555cbadaa1485813da092db781669feef38f 100644 (file)
@@ -2,7 +2,7 @@
 //    $Id$
 //    Version: $Name$
 //
-//    Copyright (C) 1998, 1999, 2000, 2001, 2002 by the deal authors
+//    Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003 by the deal authors
 //
 //    This file is subject to QPL and may not be  distributed
 //    without copyright and license information. Please refer
@@ -44,11 +44,6 @@ namespace Functions
   }
   
   
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-  using namespace std;
-#endif
-  
   template<int dim>
   void
   SquareFunction<dim>::value_list (const std::vector<Point<dim> > &points,
index 6db83a6c259b24b573eb3cd2224b710a53e025a7..49401242e893f1f632ecfd241be50e89df127896 100644 (file)
@@ -40,12 +40,6 @@ Quadrature<dim>::Quadrature (const unsigned int n_q) :
 
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 template <int dim>
 Quadrature<dim>::Quadrature (const std::vector<Point<dim> > &points,
                             const std::vector<double>               &weights)
index 79e345c3e339d5a413d62a857fd3125d50385984..e12ae0f97c95ca13a71b5e1198ce63a67611cdc6 100644 (file)
@@ -2,7 +2,7 @@
 //    $Id$
 //    Version: $Name$
 //
-//    Copyright (C) 1998, 1999, 2000, 2001, 2002 by the deal authors
+//    Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003 by the deal authors
 //
 //    This file is subject to QPL and may not be  distributed
 //    without copyright and license information. Please refer
@@ -44,12 +44,6 @@ TensorFunction<rank, dim>::value (const Point<dim> &) const
 }
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 template <int rank, int dim>
 void
 TensorFunction<rank, dim>::value_list (const std::vector<Point<dim> > &points,
index 5dc43d6278c2975a7b95114f7fa3a3ffe6a25667..4099ec3dcfd1c7e40c9cfdfbcb27e177a1121701 100755 (executable)
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.137 .
+# From configure.in Revision: 1.138 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.57.
 #
@@ -824,8 +824,7 @@ Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-multithreading=name If name==posix, or no name given, then use
-                                POSIX threads, otherwise assume use of ACE
-                                and use given argument as path to ACE
+                                POSIX threads
   --with-kdoc=DIR use kdoc installed in DIR
   --with-docxx=PATH use the doc++ executable pointed to by PATH
 
@@ -3623,95 +3622,9 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
     else
-      echo "$as_me:$LINENO: checking for ACE" >&5
-echo $ECHO_N "checking for ACE... $ECHO_C" >&6
-      if test -d "$withmultithreading" ; then
-        echo "$as_me:$LINENO: result: found" >&5
-echo "${ECHO_T}found" >&6
-      else
-        echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6
-        { { echo "$as_me:$LINENO: error: Invalid ACE path" >&5
-echo "$as_me: error: Invalid ACE path" >&2;}
+      { { echo "$as_me:$LINENO: error: Invalid flag for --with-multithreading" >&5
+echo "$as_me: error: Invalid flag for --with-multithreading" >&2;}
    { (exit 1); exit 1; }; }
-      fi
-
-cat >>confdefs.h <<\_ACEOF
-#define DEAL_II_USE_MT_ACE 1
-_ACEOF
-
-
-  if test "$enablemultithreading" = yes ; then
-    if test "$GXX" = yes ; then
-
-  echo "$as_me:$LINENO: checking whether compilation with ACE disallows flags" >&5
-echo $ECHO_N "checking whether compilation with ACE disallows flags... $ECHO_C" >&6
-  ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
-  CXXFLAGS="-pedantic -Werror -I$withmultithreading"
-  cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#  include <ace/Thread_Manager.h>
-#  include <ace/Synch.h>
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-
-      deal_II_ace_remove_pedantic="no"
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-      deal_II_ace_remove_pedantic="yes"
-
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-
-  if test $deal_II_ace_remove_pedantic = "no" ; then
-    echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-  else
-    echo "$as_me:$LINENO: result: -pedantic" >&5
-echo "${ECHO_T}-pedantic" >&6
-  fi
-
-      if test "x$deal_II_ace_remove_pedantic" = "xyes" ; then
-        CXXFLAGSG="`echo $CXXFLAGSG | perl -pi -e 's/-pedantic//g;'`"
-        CXXFLAGSO="`echo $CXXFLAGSO | perl -pi -e 's/-pedantic//g;'`"
-      fi
-    fi
-  fi
-
     fi
 
     DEAL_II_USE_MT_VAL=1
@@ -3982,77 +3895,6 @@ sed 's/^/| /' conftest.$ac_ext >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSO="-DDISABLE_ASSERT_THROW $CXXFLAGSO"
 
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-
-
-  echo "$as_me:$LINENO: checking for std::vector bug" >&5
-echo $ECHO_N "checking for std::vector bug... $ECHO_C" >&6
-  ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-
-  CXXFLAGS="$CXXFLAGSG"
-  cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-      namespace std {
-        template <class _Ty>                             class allocator {};
-        template<class _Ty, class _Ax = allocator<_Ty> > class vector{};
-      }
-
-      struct X {};
-      template <int dim> void g (const std::vector<X> &x);
-
-      void f ()  {
-        std::vector<X> x;
-        g<1> (x);
-      };
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-
-      echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-      echo "$as_me:$LINENO: result: yes. using workaround" >&5
-echo "${ECHO_T}yes. using workaround" >&6
-
-cat >>confdefs.h <<\_ACEOF
-#define XLC_WORK_AROUND_STD_BUG 1
-_ACEOF
-
-
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
index 640c864b79c61b4b9a58158d3be05675d648bca3..2f6b96c37a7d551fef9680f5edddc90b8358e168 100644 (file)
@@ -162,7 +162,6 @@ DEAL_II_CHECK_ASSERT_THROW(debug, $CXXFLAGSG,
                            [CXXFLAGSG="-DDISABLE_ASSERT_THROW $CXXFLAGSG"])
 DEAL_II_CHECK_ASSERT_THROW(optimized, $CXXFLAGSO, 
                            [CXXFLAGSO="-DDISABLE_ASSERT_THROW $CXXFLAGSO"])
-DEAL_II_CHECK_IBM_XLC_ERROR
 DEAL_II_CHECK_LOCAL_TYPEDEF_COMP
 DEAL_II_CHECK_TEMPLATE_SPEC_ACCESS
 DEAL_II_CHECK_MEMBER_OP_TEMPLATE_INST
index d4a7da8e9209223ecf87be962373ffe4ca6f8d29..b430ab0a917558fc837b83250d1f0e53c845f2c0 100644 (file)
@@ -261,11 +261,6 @@ DoFObjectAccessor<2,dim>::vertex_dof_index (const unsigned int vertex,
 }
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
 
 template <int dim>
 inline
index bd976a23eea8a409765057cd73872f2ba61b0e5a..0ed0a4c4686aa93971e499a25ce4eaa821abaad7 100644 (file)
 #include <algorithm>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
-
 
 template <int dim>
 const unsigned int DoFHandler<dim>::invalid_dof_index;
index 53308ad78f2f88ac9da21a83a497b22a6960d6e8..5f6b159ec7adcbb30416b934e9bafb8a6a226de9 100644 (file)
 #include <algorithm>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 // for whatever reason, the random_shuffle function used below needs
 // lrand48 to be declared when using -ansi as compiler flag (rather
 // than do so itself). however, inclusion of <cstdlib> or <stdlib.h>
index 97166f315c397892190b9d6a9b656ddbeb657a5e..d05aa72fda2850033c7b4cffaba7524454618457 100644 (file)
 #include <algorithm>
 #include <numeric>
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 template <int dim, class SparsityPattern>
 void
index cd42b3d900fe99ff12a18cd41272ad1c6a341d77..326d049d7447ce0e86e883e48da37e33c96bde9d 100644 (file)
 
 //TODO[GK]: It is relatively confusing with all these update_each, update_once, and in particular update_current flags. there also does not seem to be much documentation at a higher level, except for the documentation of some member variables on this. It would be nice, if we could at least get rid of update_current, to make things a little bit more clear
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
 
 /*------------------------------- FiniteElementBase ----------------------*/
 
index 2affeb011c3418e7514e6031ae117a3fb5786aaf..e146ac1fbc26c4a97d5f7c6b8d2897b929b26772 100644 (file)
 #include <fe/fe_values.h>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 /* ----------------------- FESystem::InternalData ------------------- */
 
index a445c7537a45b160b0c46bd57e9095b2be4f7317..bf84766b083c12793cb2150704e1ff9f38ec495a 100644 (file)
 #include <dofs/dof_handler.h>
 #include <dofs/dof_accessor.h>
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 template <int dim, typename number>
 void FETools::get_interpolation_matrix(const FiniteElement<dim> &fe1,
index d6575ceb30ca720c6809736bd3b7de896643f25e..3078dafb317d317c920e984e10a8ff1c6017d02c 100644 (file)
 
 #include <iomanip>
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
 
 template <int dim>
 void
index 679c4a820389cac42fc4fe88fab3674b4a41ce7f..93c75bdb7e0504662858f40d0c8a8ec8138070f1 100644 (file)
 #include <algorithm>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
-
-
 
 template <int dim>
 GridIn<dim>::GridIn () :
index 6be4d6f02b4cdac4c7aef0791570e6b70ef1adb1..72bf2f6b719913f17449c9ab304f16ece0188fa7 100644 (file)
@@ -260,12 +260,6 @@ GridRefinement::refine_and_coarsen_fixed_fraction (Triangulation<dim>   &tria,
 
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 template <int dim, typename number>
 void
 GridRefinement::refine_and_coarsen_optimize (Triangulation<dim>   &tria,
index 2e8f73a40d0f2c350a51ea9e99d65bb039c7ad70..f528a8b0044f00d44dbda2bc6660e2e452efc922 100644 (file)
 #include <grid/grid_reordering.h>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 // static variables
 #if deal_II_dimension == 2
index 48c48d5f8c74ef88f5361d6241c2850338c7463a..cd3fc7ebd6d024a8665ed621dd8a0c07b0fcf6bf 100644 (file)
 #include <iostream>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 template <int dim>
 PersistentTriangulation<dim>::
index 9ebc2c99fb200cc04462ef1a1448b910c11dc6f3..2477752b18f7183162ba296b27b86de29782fdff 100644 (file)
@@ -1875,12 +1875,6 @@ void Triangulation<dim>::refine_global (const unsigned int times)
 
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 template <int dim>
 void Triangulation<dim>::save_refine_flags (std::vector<bool> &v) const
 {
index 4fa7d7ba349335f46317ea6e1e53de434d4b619a..2028271441157610b319a248fdd7ae0acbd081ea 100644 (file)
 #include <lac/sparse_matrix.h>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 /* ------------------------ MGDoFLineAccessor --------------------------- */
 
index c603a6705d68a10113e261b8f422555c1fc78d0c..a2d7a01317834f4c100741e287f46d64d9c1b4d3 100644 (file)
 #endif
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 template <int dof_handler_dim, int patch_dim, int patch_space_dim>
 DataOut_DoFData<dof_handler_dim,patch_dim,patch_space_dim>::DataEntry::
index d4e0e2ccf9974477a7511d3b0a53d62e10a0aefa..e15a615de8d7dd4baafba0548de1d3bb25fa07f4 100644 (file)
 
 #include <cmath>
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
 
 
 template <int dim>
index d3799a61ef04b43b4d537c30c285541cc3b53850..e6b768828add77aa0087687fcc3d7b70ce1252e1 100644 (file)
 
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 template <int dim>
 unsigned int
index 916d16bf72a1880bdbff9e423408285c9f31bcb4..b027777bf96402f9d9fea8cb7922e4e5a303ec65 100644 (file)
 #include <cmath>
 #include <vector>
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 
 static
index fc2cc4234aa19fb3584a79dfaee6226f8196393b..861d3f02baf4a58183180e039b81a02ee8415fc8 100644 (file)
 #include <cmath>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
-
 
 template <int dim>
 inline
index 8d95dcfb0cbbe79e6a37c1bd0c1017eeb00c3c17..64201dc5f118b9b701ab92df38f7252ce13bf407 100644 (file)
 //TODO: the storage of data in the indices_on_cell array is rather inefficient, both in terms of memory as well as in terms of computing time, since we allocate a large array of small vectors. It would be more efficient to use a Table<2> for that, but since we let user pointers point into this data, this is not exactly a 5-minuter to change. should be done, however, sometimes.
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
 
 template<int dim, typename number>
 SolutionTransfer<dim, number>::SolutionTransfer(const DoFHandler<dim> &dof):
index 151b7963ecd38c718e24d6c71a0648c279e4ec81..116ba292f24096941b05588af15547166ae18fa9 100644 (file)
 
 //TODO:[GK] Move templates containing vector arguments to vectors.templates.h
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-using namespace std;
-#endif
-
-
 
 
 template <int dim>
index bf056c3fa3f6aeb7341dd5f1de34381b5e44055b..8e256d307ce2bc7c118706c3b17a2aaeba48804d 100644 (file)
@@ -30,11 +30,6 @@ BlockVector<Number>::BlockVector (unsigned int n_blocks,
 
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-  using namespace std;
-#endif
-
 template <typename Number>
 BlockVector<Number>::BlockVector (const std::vector<unsigned int> &n)
 {
index 090bd9e28f9b8b253bf1d651dd9895525896ee08..de3a0631484335fd2d24faa3f9a355f9d2744309 100644 (file)
 #include <map>
 
 
-// if necessary try to work around a bug in the IBM xlC compiler
-#ifdef XLC_WORK_AROUND_STD_BUG
-  using namespace std;
-#endif
-
-
 template<typename number>
 SparseVanka<number>::SparseVanka(const SparseMatrix<number> &M,
                                 const std::vector<bool>    &selected,

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.